from graphene.relay import Node
from graphene.types.generic import GenericScalar
from graphene_django import DjangoObjectType

from vbv_lernwelt.feedback.models import FeedbackResponse as FeedbackResponseModel


class FeedbackResponse(DjangoObjectType):
    data = GenericScalar()

    class Meta:
        model = FeedbackResponseModel
        interfaces = (Node,)
